#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    int n, m, sreca = 0;
    cin >> n >> m;
    int A[n], poznanici[m * 2], drugovi[n];

    for (int i = 0; i < n; i++) {
        cin >> A[i];
    }

    for (int i = 0; i < m * 2; i = i + 2) {
        cin >> poznanici[i] >> poznanici [i + 1];
    }

    for (int i = 1; i < (n + 1); i++) {
        int drzac = 0;
        for (int k = 0; k < m * 2; k++) {
            if (poznanici[k] == i) {
                drzac++;
            }
        }
        if (A[i - 1] >= 0) {
            drugovi[i - 1] = drzac;
        }
        else {
            drugovi[i - 1] = drzac - (2 * drzac);
        }
    }

    for (int i = 0; i < n; i++) {
        sreca += A[i] * drugovi[i];
    }

    cout << sreca;
}